package dev.shadowsoffire.apotheosis.ench.enchantments;

import java.util.function.Predicate;
import com.google.common.base.Predicates;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.entity.EquipmentSlot;
import net.minecraft.world.item.enchantment.EnchantmentCategory;
import net.minecraft.world.item.enchantment.Enchantment;

public class InertEnchantment extends Enchantment
{
    public static final EnchantmentCategory NULL;
    
    public InertEnchantment() {
        super(Enchantment.Rarity.VERY_RARE, InertEnchantment.NULL, new EquipmentSlot[0]);
    }
    
    public boolean canApplyAtEnchantingTable(final ItemStack stack) {
        return false;
    }
    
    public boolean m_6592_() {
        return false;
    }
    
    public boolean isAllowedOnBooks() {
        return false;
    }
    
    public boolean m_6594_() {
        return false;
    }
    
    public boolean m_6591_() {
        return true;
    }
    
    static {
        NULL = EnchantmentCategory.create("apotheosis.null", (Predicate)Predicates.alwaysFalse());
    }
}
